Description: Enable symbol demangling for gcc 4.3
 Upstream change set 582:
 * config/ax_cxx_gcc_abi_demangle.m4:
 * src/cppunit/TypeInfoHelper.cpp: Fixed demangling of symbols on gcc 4.3 (bug #2796543).
 
 Note: patch requires autoreconf before building.
Author: Baptiste Lepilleur
Applied-Upstream: commit 582
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650033
Last-Update: 2011-12-09

--- cppunit-1.12.1.orig/config/ax_cxx_gcc_abi_demangle.m4
+++ cppunit-1.12.1/config/ax_cxx_gcc_abi_demangle.m4
@@ -15,6 +15,7 @@
  AC_LANG_CPLUSPLUS
  AC_TRY_COMPILE([#include <typeinfo>
 #include <cxxabi.h>
+#include <malloc.h> 
 #include <string>
 
 template<typename TYPE>
--- cppunit-1.12.1.orig/src/cppunit/TypeInfoHelper.cpp
+++ cppunit-1.12.1/src/cppunit/TypeInfoHelper.cpp
@@ -6,6 +6,7 @@
 #include <string>
 
 #if CPPUNIT_HAVE_GCC_ABI_DEMANGLE
+#include <malloc.h>
 #include <cxxabi.h>
 #endif
 
